# rfc

```text
GET  /api/ws
GET  /api/{uuid}/keypad/code
GET  /api/{uuid}/keypad/get_user_info/{uid}
POST /api/{uuid}/keypad/log/door_open/{uid}
POST /api/{uuid}/keypad/set_code
POST /api/{uuid}/core/reboot
POST /api/{uuid}/core/update
```

## websocket 

```json
[
    0, // op
    {
        // data,
    }
]
```

on connect:
- get client session code, to be used with api
- get explicitly set computer name from db, by the CC:T computer id, or randomly generated UUID thats set on SW install,
- on connect computer sends its module type eg. keypad, and gets extra info related to it, like: code, current.



